library(moments)
library(ggpubr)
library(ggplot2)

###Visualisation###(should look like straight line )
ggplot(Acetic.acid.D3, aes(x=te, y=od))+
  geom_point()

ggplot(Acetic.acid.D3, aes(x=hu, y=od))+
  geom_point()

ggplot(ACP.D3, aes(x=te, y=od))+
  geom_point()

ggplot(ACP.D3, aes(x=hu, y=od))+
  geom_point()

ggplot(Cymene.D3, aes(x=te, y=od))+
  geom_point()

ggplot(Cymene.D3, aes(x=hu, y=od))+
  geom_point()

ggplot(Ethyl.butyrate.D3, aes(x=te, y=od))+
  geom_point()

ggplot(Ethyl.butyrate.D3, aes(x=hu, y=od))+
  geom_point()

ggplot(Hexane.D3, aes(x=te, y=od))+
  geom_point()

ggplot(Hexane.D3, aes(x=hu, y=od))+
  geom_point()

ggplot(Limonene.D3, aes(x=te, y=od))+
  geom_point()

ggplot(Limonene.D3, aes(x=hu, y=od))+
  geom_point()

ggplot(Methyl.salicylate.D3, aes(x=te, y=od))+
  geom_point()

ggplot(Methyl.salicylate.D3, aes(x=hu, y=od))+
  geom_point()

ggplot(Myrcene.D3, aes(x=te, y=od))+
  geom_point()

ggplot(Myrcene.D3, aes(x=hu, y=od))+
  geom_point()

ggplot(Ocimene.D3, aes(x=te, y=od))+
  geom_point()

ggplot(Ocimene.D3, aes(x=hu, y=od))+
  geom_point()

ggplot(Sabinene.D3, aes(x=te, y=od))+
  geom_point()

ggplot(Sabinene.D3, aes(x=hu, y=od))+
  geom_point()

####Linear regression (best model =highest Ajusted rsquared value)
#Acetic acid D3#
modelAa <- lm(od ~ te*hu, data = Acetic.acid.D3)
summary(modelAa)

modelAa <- lm(od ~ te, data = Acetic.acid.D3)
summary(modelAa)

modelAa <- lm(od ~ hu, data = Acetic.acid.D3)
summary(modelAa)

modelAa <- lm(od ~ te+hu, data = Acetic.acid.D3)
summary(modelAa)



#ACP D3#
modelACP <- lm(od ~ te*hu, data = ACP.D3)
summary(modelAa)

modelACP <- lm(od ~ te, data = ACP.D3)
summary(modelACP)

modelACP <- lm(od ~ hu, data = ACP.D3)
summary(modelACP)

modelACP <- lm(od ~ te+hu, data = ACP.D3)
summary(modelACP)

##Cymene D3
modelPC <- lm(od ~ te*hu, data = Cymene.D3)
summary(modelPC)

modelPC <- lm(od ~ te, data = Cymene.D3)
summary(modelPC)

modelPC <- lm(od ~ hu, data = Cymene.D3)
summary(modelPC)

modelPC <- lm(od ~ te+hu, data = Cymene.D3)
summary(modelPC)

#Ebutyrate D3#
modelEbut <- lm(od ~ te*hu, data = Ethyl.butyrate.D3)
summary(modelEbut)

modelEbut <- lm(od ~ te, data = Ethyl.butyrate.D3)
summary(modelEbut)

modelEbut <- lm(od ~ hu, data = Ethyl.butyrate.D3)
summary(modelEbut)

modelEbut <- lm(od ~ te+hu, data = Ethyl.butyrate.D3)
summary(modelEbut)## best fit 89.17%

#Hexane D3#
modelHex <- lm(od ~ te*hu, data = Hexane.D3)
summary(modelHex)

modelHex <- lm(od ~ te, data = Hexane.D3)
summary(modelHex)

modelHex <- lm(od ~ hu, data = Hexane.D3)
summary(modelHex)

modelHex <- lm(od ~ te+hu, data = Hexane.D3)
summary(modelHex)

#Limonene D3#
modelLim <- lm(od ~ te*hu, data = Limonene.D3)
summary(modelLim)

modelLim <- lm(od ~ te, data = Limonene.D3)
summary(modelLim)

modelLim <- lm(od ~ hu, data = Limonene.D3)
summary(modelLim)

modelLim <- lm(od ~ te+hu, data = Limonene.D3)
summary(modelLim)

#Methyl salicylate D3#
modelMsal <- lm(od ~ te*hu, data = Methyl.salicylate.D3)
summary(modelMsal)

modelMsal <- lm(od ~ te, data = Methyl.salicylate.D3)
summary(modelMsal)

modelMsal <- lm(od ~ hu, data = Methyl.salicylate.D3)
summary(modelMsal)

modelMsal <- lm(od ~ te+hu, data = Methyl.salicylate.D3)
summary(modelMsal)

#Myrcene D3#
modelMyr <- lm(od ~ te*hu, data = Myrcene.D3)
summary(modelMyr)

modelMyr <- lm(od ~ te, data = Myrcene.D3)
summary(modelMyr)

modelMyr <- lm(od ~ hu, data = Myrcene.D3)
summary(modelMyr)

modelMyr <- lm(od ~ te+hu, data = Myrcene.D3)
summary(modelMyr)

#Ocimene D3#
modelOci <- lm(od ~ te*hu, data = Ocimene.D3)
summary(modelOci)

modelOci <- lm(od ~ te, data = Ocimene.D3)
summary(modelOci)

modelOci <- lm(od ~ hu, data = Ocimene.D3)
summary(modelOci)

modelOci <- lm(od ~ te+hu, data = Ocimene.D3)
summary(modelOci)

#Sabinene D3#
modelSab <- lm(od ~ te*hu, data = Sabinene.D3)
summary(modelSab)

modelSab <- lm(od ~ te, data = Sabinene.D3)
summary(modelSab)

modelSab <- lm(od ~ hu, data = Sabinene.D3)
summary(modelSab)

modelSab <- lm(od ~ te+hu, data = Sabinene.D3)
summary(modelSab)
