library(moments)
library(ggpubr)
library(ggplot2)

###Visualisation###(should look like straight line )
ggplot(Acetic.acid.D7, aes(x=te, y=od))+
  geom_point()

ggplot(Acetic.acid.D7, aes(x=hu, y=od))+
  geom_point()

ggplot(ACP.D7, aes(x=te, y=od))+
  geom_point()

ggplot(ACP.D7, aes(x=hu, y=od))+
  geom_point()

ggplot(Cymene.D7, aes(x=te, y=od))+
  geom_point()

ggplot(Cymene.D7, aes(x=hu, y=od))+
  geom_point()

ggplot(Ethyl.butyrate.D7, aes(x=te, y=od))+
  geom_point()

ggplot(Ethyl.butyrate.D7, aes(x=hu, y=od))+
  geom_point()

ggplot(Limonene.D7, aes(x=te, y=od))+
  geom_point()

ggplot(Limonene.D7, aes(x=hu, y=od))+
  geom_point()

ggplot(Methyl.salicylate.D7, aes(x=te, y=od))+
  geom_point()

ggplot(Methyl.salicylate.D7, aes(x=hu, y=od))+
  geom_point()

ggplot(Myrcene.D7, aes(x=te, y=od))+
  geom_point()

ggplot(Myrcene.D7, aes(x=hu, y=od))+
  geom_point()

ggplot(Ocimene.D7, aes(x=te, y=od))+
  geom_point()

ggplot(Ocimene.D7, aes(x=hu, y=od))+
  geom_point()

ggplot(Sabinene.D7, aes(x=te, y=od))+
  geom_point()

ggplot(Sabinene.D7, aes(x=hu, y=od))+
  geom_point()

####Linear regression (best model =highest Ajusted rsquared value for multiple variables of multiple rsquared for single variable)
#Acetic acid D7#
modelAa <- lm(od ~ te*hu, data = Acetic.acid.D7)
summary(modelAa)

modelAa <- lm(od ~ te, data = Acetic.acid.D7)
summary(modelAa)

modelAa <- lm(od ~ hu, data = Acetic.acid.D7)
summary(modelAa)

modelAa <- lm(od ~ te+hu, data = Acetic.acid.D7)
summary(modelAa)



#ACP D7#
modelACP <- lm(od ~ te*hu, data = ACP.D7)
summary(modelACP)

modelACP <- lm(od ~ te, data = ACP.D7)
summary(modelACP)###best model (95.62%)

modelACP <- lm(od ~ hu, data = ACP.D7)
summary(modelACP)

modelACP <- lm(od ~ te+hu, data = ACP.D7)
summary(modelACP)

##Cymene D7
modelPC <- lm(od ~ te*hu, data = Cymene.D7)
summary(modelPC)

modelPC <- lm(od ~ te, data = Cymene.D7)
summary(modelPC)

modelPC <- lm(od ~ hu, data = Cymene.D7)
summary(modelPC)

modelPC <- lm(od ~ te+hu, data = Cymene.D7)
summary(modelPC)

#Ebutyrate D7#
modelEbut <- lm(od ~ te*hu, data = Ethyl.butyrate.D7)
summary(modelEbut)

modelEbut <- lm(od ~ te, data = Ethyl.butyrate.D7)
summary(modelEbut)

modelEbut <- lm(od ~ hu, data = Ethyl.butyrate.D7)
summary(modelEbut)

modelEbut <- lm(od ~ te+hu, data = Ethyl.butyrate.D7)
summary(modelEbut)

#Limonene D7#
modelLim <- lm(od ~ te*hu, data = Limonene.D7)
summary(modelLim)

modelLim <- lm(od ~ te, data = Limonene.D7)
summary(modelLim)

modelLim <- lm(od ~ hu, data = Limonene.D7)
summary(modelLim)

modelLim <- lm(od ~ te+hu, data = Limonene.D7)
summary(modelLim)

#Methyl salicylate D7#
modelMsal <- lm(od ~ te*hu, data = Methyl.salicylate.D7)
summary(modelMsal)

modelMsal <- lm(od ~ te, data = Methyl.salicylate.D7)
summary(modelMsal)

modelMsal <- lm(od ~ hu, data = Methyl.salicylate.D7)
summary(modelMsal)

modelMsal <- lm(od ~ te+hu, data = Methyl.salicylate.D7)
summary(modelMsal)

#Myrcene D7#
modelMyr <- lm(od ~ te*hu, data = Myrcene.D7)
summary(modelMyr)

modelMyr <- lm(od ~ te, data = Myrcene.D7)
summary(modelMyr)

modelMyr <- lm(od ~ hu, data = Myrcene.D7)
summary(modelMyr)

modelMyr <- lm(od ~ te+hu, data = Myrcene.D7)
summary(modelMyr)

#Ocimene D7#
modelOci <- lm(od ~ te*hu, data = Ocimene.D7)
summary(modelOci)

modelOci <- lm(od ~ te, data = Ocimene.D7)
summary(modelOci)

modelOci <- lm(od ~ hu, data = Ocimene.D7)
summary(modelOci)

modelOci <- lm(od ~ te+hu, data = Ocimene.D7)
summary(modelOci)

#Sabinene D7#
modelSab <- lm(od ~ te*hu, data = Sabinene.D7)
summary(modelSab)

modelSab <- lm(od ~ te, data = Sabinene.D7)
summary(modelSab)

modelSab <- lm(od ~ hu, data = Sabinene.D7)
summary(modelSab)

modelSab <- lm(od ~ te+hu, data = Sabinene.D7)
summary(modelSab)
